/* Do not include this file except shrp_mipi_lcd.c */

#ifndef _SHARP_MIPI_LCD_COMMANDS_H
#define _SHARP_MIPI_LCD_COMMANDS_H

const unsigned char SHARP_PWRON_CMDS1[][2] = {
	{0XD2, 0X0E},
	{0XD3, 0X0E},
	{0XD4, 0X0E},
	{0XD5, 0X02},
	{0XD8, 0X82},
	{0X92, 0X0A},
	{0X02, 0X00},
	{0X03, 0X00},
	{0X04, 0X00},
	{0X05, 0X00},
	{0X06, 0X00},
	{0X07, 0X00},
	{0X08, 0X00},
	{0X09, 0X00},
	{0X0A, 0X04},
	{0X0B, 0X00},
	{0X0C, 0X00},
	{0X0D, 0X00},
	{0X0E, 0X00},
	{0X0F, 0X20},
	{0X10, 0X20},
	{0X11, 0X20},
	{0X12, 0X20},
	{0X13, 0X00},
	{0X14, 0X00},
	{0X15, 0X27},
	{0X16, 0X26},
	{0X17, 0X25},
	{0X18, 0X24},
	{0X19, 0X23},
	{0X1A, 0X22},
	{0X1D, 0X00},
	{0X1E, 0X00},
	{0X1F, 0X00},
	{0X20, 0X00},
	{0X21, 0X00},
	{0X22, 0X00},
	{0X23, 0X00},
	{0X24, 0X00},
	{0X25, 0X02},
	{0X26, 0X0C},
	{0X27, 0X00},
	{0X28, 0X00},
	{0X29, 0X00},
	{0X2A, 0X19},
	{0X2B, 0X1A},
	{0X2D, 0X1B},
	{0X2F, 0X1C},
	{0X30, 0X00},
	{0X31, 0X00},
	{0X32, 0X00},
	{0X33, 0X00},
	{0X34, 0X00},
	{0X35, 0X00},
	{0X36, 0X00},
	{0X37, 0X00},
	{0X38, 0X11},
	{0X39, 0X82},
	{0X3A, 0X81},
	{0X3B, 0X08},
	{0X3D, 0X08},
	{0X42, 0XAD},
	{0X43, 0XD8},
	{0X44, 0X52},
	{0X45, 0X03},
	{0X46, 0X04},
	{0X47, 0X00},
	{0X48, 0X59},
	{0X49, 0X18},
	{0X4A, 0X0C},
	{0X4B, 0XF6},
	{0X4C, 0X00},
	{0X4D, 0X0D},
	{0X4E, 0XA8},
	{0X61, 0X04},
	{0X62, 0X00},
	{0X65, 0XE5},
	{0X66, 0XE5},
	{0X69, 0X05},
	{0X6A, 0X00},
	{0X6D, 0X08},
	{0X6E, 0X08},
	{0X80, 0X01},
	{0X81, 0X0C},
	{0X83, 0X01},
	{0X86, 0X85},
	{0X88, 0X05},
	{0X8A, 0X82},
	{0X8D, 0X02},
	{0X8E, 0X10},
	{0X97, 0X80},
	{0X9A, 0X60},
	{0X9B, 0X1E},
	{0X9C, 0X3E},
	{0X9D, 0X0F},
	{0X9E, 0X01},
	{0X9F, 0X00},
	{0XA2, 0X0E},
	{0XA4, 0X11},
	{0XA5, 0X12},
	{0XA6, 0X31},
	{0XA7, 0X23},
	{0XA9, 0X45},
	{0XAA, 0X64},
	{0XAB, 0X56},
	{0XB2, 0X54},
	{0XB3, 0X36},
	{0XB4, 0X12},
	{0XB8, 0X00},
	{0XB9, 0X40},
	{0XBA, 0X10},
	{0XBD, 0X13},
	{0XBE, 0X13},
	{0XC0, 0X07},
	{0XC1, 0X17},
	{0XCD, 0X08},
	{0XCE, 0X08},
	{0XCF, 0X08},
	{0XD0, 0X08},
	{0XDB, 0X03},
	{0XE5, 0X02},
	{0XFF, 0X20}};

const unsigned char SHARP_PWRON_CMDS2[][2] = {
	{0X07, 0X44},
	{0X02, 0X33},
	{0X04, 0X40},
	{0X05, 0X40},
	{0X16, 0X15},
	{0X53, 0XFA},
	{0X54, 0X00},
	{0X55, 0XE7},
	{0X56, 0X00},
	{0X57, 0X01},
	{0X58, 0X01},
	{0X59, 0XFA},
	{0X5A, 0X00},
	{0X5B, 0XE7},
	{0X5C, 0X00},
	{0X61, 0X01},
	{0X62, 0X01},
	{0X6D, 0X22},
	{0X0E, 0X0A},
	{0X0F, 0X13},
	{0X10, 0X0A},
	{0X11, 0X13},
	{0X14, 0X45},
	{0X0B, 0XA8},
	{0X0C, 0X99},
	{0X75, 0x00},
	{0X76, 0x16},
	{0X77, 0x01},
	{0X78, 0x22},
	{0X79, 0x01},
	{0X7A, 0x5E},
	{0X7B, 0x01},
	{0X7C, 0x63},
	{0X7D, 0x01},
	{0X7E, 0x85},
	{0X7F, 0x01},
	{0X80, 0x89},
	{0X81, 0x01},
	{0X82, 0x9F},
	{0X83, 0x01},
	{0X84, 0xA3},
	{0X85, 0x01},
	{0X86, 0xB8},
	{0X87, 0x01},
	{0X88, 0xCC},
	{0X89, 0x01},
	{0X8A, 0xDD},
	{0X8B, 0x01},
	{0X8C, 0xF1},
	{0X8D, 0x02},
	{0X8E, 0x03},
	{0X8F, 0x02},
	{0X90, 0x2A},
	{0X91, 0x02},
	{0X92, 0x50},
	{0X93, 0x02},
	{0X94, 0x51},
	{0X95, 0x02},
	{0X96, 0x7F},
	{0X97, 0x02},
	{0X98, 0xBC},
	{0X99, 0x02},
	{0X9A, 0xE1},
	{0X9B, 0x03},
	{0X9C, 0x13},
	{0X9D, 0x03},
	{0X9E, 0x2B},
	{0X9F, 0x03},
	{0XA0, 0x56},
	{0XA2, 0x03},
	{0XA3, 0x65},
	{0XA4, 0x03},
	{0XA5, 0x75},
	{0XA6, 0x03},
	{0XA7, 0x85},
	{0XA9, 0x03},
	{0XAA, 0x95},
	{0XAB, 0x03},
	{0XAC, 0xB9},
	{0XAD, 0x03},
	{0XAE, 0xBE},
	{0XAF, 0x03},
	{0XB0, 0xE5},
	{0XB1, 0x03},
	{0XB2, 0xFF},
	{0XB3, 0x00},
	{0XB4, 0x01},
	{0XB5, 0x01},
	{0XB6, 0x02},
	{0XB7, 0x01},
	{0XB8, 0x43},
	{0XB9, 0x01},
	{0XBA, 0x49},
	{0XBB, 0x01},
	{0XBC, 0x72},
	{0XBD, 0x01},
	{0XBE, 0x76},
	{0XBF, 0x01},
	{0XC0, 0x8B},
	{0XC1, 0x01},
	{0XC2, 0x8E},
	{0XC3, 0x01},
	{0XC4, 0xA2},
	{0XC5, 0x01},
	{0XC6, 0xB4},
	{0XC7, 0x01},
	{0XC8, 0xC4},
	{0XC9, 0x01},
	{0XCA, 0xDA},
	{0XCB, 0x01},
	{0XCC, 0xED},
	{0XCD, 0x02},
	{0XCE, 0x16},
	{0XCF, 0x02},
	{0XD0, 0x3F},
	{0XD1, 0x02},
	{0XD2, 0x40},
	{0XD3, 0x02},
	{0XD4, 0x70},
	{0XD5, 0x02},
	{0XD6, 0xB1},
	{0XD7, 0x02},
	{0XD8, 0xD7},
	{0XD9, 0x03},
	{0XDA, 0x0A},
	{0XDB, 0x03},
	{0XDC, 0x22},
	{0XDD, 0x03},
	{0XDE, 0x4D},
	{0XDF, 0x03},
	{0XE0, 0x5C},
	{0XE1, 0x03},
	{0XE2, 0x6C},
	{0XE3, 0x03},
	{0XE4, 0x7C},
	{0XE5, 0x03},
	{0XE6, 0x8D},
	{0XE7, 0x03},
	{0XE8, 0xB0},
	{0XE9, 0x03},
	{0XEA, 0xB5},
	{0XEB, 0x03},
	{0XEC, 0xE1},
	{0XED, 0x03},
	{0XEE, 0xFE},
	{0XEF, 0x00},
	{0XF0, 0x16},
	{0XF1, 0x01},
	{0XF2, 0x22},
	{0XF3, 0x01},
	{0XF4, 0x5E},
	{0XF5, 0x01},
	{0XF6, 0x63},
	{0XF7, 0x01},
	{0XF8, 0x85},
	{0XF9, 0x01},
	{0XFA, 0x89},
	{0XFF, 0X21}};

const unsigned char SHARP_PWRON_CMDS3[][2] = {
	{0X00, 0x01},
	{0X01, 0x9F},
	{0X02, 0x01},
	{0X03, 0xA3},
	{0X04, 0x01},
	{0X05, 0xB8},
	{0X06, 0x01},
	{0X07, 0xCC},
	{0X08, 0x01},
	{0X09, 0xDD},
	{0X0A, 0x01},
	{0X0B, 0xF1},
	{0X0C, 0x02},
	{0X0D, 0x03},
	{0X0E, 0x02},
	{0X0F, 0x2A},
	{0X10, 0x02},
	{0X11, 0x50},
	{0X12, 0x02},
	{0X13, 0x51},
	{0X14, 0x02},
	{0X15, 0x7F},
	{0X16, 0x02},
	{0X17, 0xBC},
	{0X18, 0x02},
	{0X19, 0xE1},
	{0X1A, 0x03},
	{0X1B, 0x13},
	{0X1C, 0x03},
	{0X1D, 0x2B},
	{0X1E, 0x03},
	{0X1F, 0x56},
	{0X20, 0x03},
	{0X21, 0x65},
	{0X22, 0x03},
	{0X23, 0x75},
	{0X24, 0x03},
	{0X25, 0x85},
	{0X26, 0x03},
	{0X27, 0x95},
	{0X28, 0x03},
	{0X29, 0xB9},
	{0X2A, 0x03},
	{0X2B, 0xBE},
	{0X2D, 0x03},
	{0X2F, 0xE5},
	{0X30, 0x03},
	{0X31, 0xFF},
	{0X32, 0x00},
	{0X33, 0x01},
	{0X34, 0x01},
	{0X35, 0x02},
	{0X36, 0x01},
	{0X37, 0x43},
	{0X38, 0x01},
	{0X39, 0x49},
	{0X3A, 0x01},
	{0X3B, 0x72},
	{0X3D, 0x01},
	{0X3F, 0x76},
	{0X40, 0x01},
	{0X41, 0x8B},
	{0X42, 0x01},
	{0X43, 0x8E},
	{0X44, 0x01},
	{0X45, 0xA2},
	{0X46, 0x01},
	{0X47, 0xB4},
	{0X48, 0x01},
	{0X49, 0xC4},
	{0X4A, 0x01},
	{0X4B, 0xDA},
	{0X4C, 0x01},
	{0X4D, 0xED},
	{0X4E, 0x02},
	{0X4F, 0x16},
	{0X50, 0x02},
	{0X51, 0x3F},
	{0X52, 0x02},
	{0X53, 0x40},
	{0X54, 0x02},
	{0X55, 0x70},
	{0X56, 0x02},
	{0X58, 0xB1},
	{0X59, 0x02},
	{0X5A, 0xD7},
	{0X5B, 0x03},
	{0X5C, 0x0A},
	{0X5D, 0x03},
	{0X5E, 0x22},
	{0X5F, 0x03},
	{0X60, 0x4D},
	{0X61, 0x03},
	{0X62, 0x5C},
	{0X63, 0x03},
	{0X64, 0x6C},
	{0X65, 0x03},
	{0X66, 0x7C},
	{0X67, 0x03},
	{0X68, 0x8D},
	{0X69, 0x03},
	{0X6A, 0xB0},
	{0X6B, 0x03},
	{0X6C, 0xB5},
	{0X6D, 0x03},
	{0X6E, 0xE1},
	{0X6F, 0x03},
	{0X70, 0xFE},
	{0X71, 0x00},
	{0X72, 0x16},
	{0X73, 0x01},
	{0X74, 0x22},
	{0X75, 0x01},
	{0X76, 0x5E},
	{0X77, 0x01},
	{0X78, 0x63},
	{0X79, 0x01},
	{0X7A, 0x85},
	{0X7B, 0x01},
	{0X7C, 0x89},
	{0X7D, 0x01},
	{0X7E, 0x9F},
	{0X7F, 0x01},
	{0X80, 0xA3},
	{0X81, 0x01},
	{0X82, 0xB8},
	{0X83, 0x01},
	{0X84, 0xCC},
	{0X85, 0x01},
	{0X86, 0xDD},
	{0X87, 0x01},
	{0X88, 0xF1},
	{0X89, 0x02},
	{0X8A, 0x03},
	{0X8B, 0x02},
	{0X8C, 0x2A},
	{0X8D, 0x02},
	{0X8E, 0x50},
	{0X8F, 0x02},
	{0X90, 0x51},
	{0X91, 0x02},
	{0X92, 0x7F},
	{0X93, 0x02},
	{0X94, 0xBC},
	{0X95, 0x02},
	{0X96, 0xE1},
	{0X97, 0x03},
	{0X98, 0x13},
	{0X99, 0x03},
	{0X9A, 0x2B},
	{0X9B, 0x03},
	{0X9C, 0x56},
	{0X9D, 0x03},
	{0X9E, 0x65},
	{0X9F, 0x03},
	{0XA0, 0x75},
	{0XA2, 0x03},
	{0XA3, 0x85},
	{0XA4, 0x03},
	{0XA5, 0x95},
	{0XA6, 0x03},
	{0XA7, 0xB9},
	{0XA9, 0x03},
	{0XAA, 0xBE},
	{0XAB, 0x03},
	{0XAC, 0xE5},
	{0XAD, 0x03},
	{0XAE, 0xFF},
	{0XAF, 0x00},
	{0XB0, 0x01},
	{0XB1, 0x01},
	{0XB2, 0x02},
	{0XB3, 0x01},
	{0XB4, 0x43},
	{0XB5, 0x01},
	{0XB6, 0x49},
	{0XB7, 0x01},
	{0XB8, 0x72},
	{0XB9, 0x01},
	{0XBA, 0x76},
	{0XBB, 0x01},
	{0XBC, 0x8B},
	{0XBD, 0x01},
	{0XBE, 0x8E},
	{0XBF, 0x01},
	{0XC0, 0xA2},
	{0XC1, 0x01},
	{0XC2, 0xB4},
	{0XC3, 0x01},
	{0XC4, 0xC4},
	{0XC5, 0x01},
	{0XC6, 0xDA},
	{0XC7, 0x01},
	{0XC8, 0xED},
	{0XC9, 0x02},
	{0XCA, 0x16},
	{0XCB, 0x02},
	{0XCC, 0x3F},
	{0XCD, 0x02},
	{0XCE, 0x40},
	{0XCF, 0x02},
	{0XD0, 0x70},
	{0XD1, 0x02},
	{0XD2, 0xB1},
	{0XD3, 0x02},
	{0XD4, 0xD7},
	{0XD5, 0x03},
	{0XD6, 0x0A},
	{0XD7, 0x03},
	{0XD8, 0x22},
	{0XD9, 0x03},
	{0XDA, 0x4D},
	{0XDB, 0x03},
	{0XDC, 0x5C},
	{0XDD, 0x03},
	{0XDE, 0x6C},
	{0XDF, 0x03},
	{0XE0, 0x7C},
	{0XE1, 0x03},
	{0XE2, 0x8D},
	{0XE3, 0x03},
	{0XE4, 0xB0},
	{0XE5, 0x03},
	{0XE6, 0xB5},
	{0XE7, 0x03},
	{0XE8, 0xE1},
	{0XE9, 0x03},
	{0XEA, 0xFE},
	{0XFF, 0XE0}};

#endif /* _SHARP_MIPI_LCD_COMMANDS_H */
